Bug 1425602 - [abrt] cinnamon: JsonSettingsWidgets.py:119:get_settings:Exception: Failed to parse settings JSON data for file /home/xzj83b/.cinnamon/configs/bbcwx@oak-wood.co.uk/7.json
Summary: [abrt] cinnamon: JsonSettingsWidgets.py:119:get_settings:Exception: Failed to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:634335d3bebe89374edc3fda5c4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-21 21:05 UTC by xzj8b3
Modified: 2017-11-18 18:46 UTC (History)
3 users (show)

Fixed In Version: cinnamon-3.6.3-1.fc27 cinnamon-3.6.3-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-18 03:44:42 UTC


Attachments (Terms of Use)
File: backtrace (1.57 KB, text/plain)
2017-02-21 21:05 UTC, xzj8b3
no flags Details
File: environ (1.63 KB, text/plain)
2017-02-21 21:05 UTC, xzj8b3
no flags Details

Description xzj8b3 2017-02-21 21:05:46 UTC
Version-Release number of selected component:
cinnamon-3.2.8-13.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/xlet-settings.py desklet bbcwx@oak-wood.co.uk 7
executable:     /usr/share/cinnamon/cinnamon-settings/xlet-settings.py
kernel:         4.9.10-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
JsonSettingsWidgets.py:119:get_settings:Exception: Failed to parse settings JSON data for file /home/xzj83b/.cinnamon/configs/bbcwx@oak-wood.co.uk/7.json

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/bin/JsonSettingsWidgets.py", line 117, in get_settings
    settings = json.loads(raw_data, encoding=None, object_pairs_hook=collections.OrderedDict)
  File "/usr/lib64/python3.5/json/__init__.py", line 332, in loads
    return cls(**kw).decode(s)
  File "/usr/lib64/python3.5/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib64/python3.5/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/bin/JsonSettingsWidgets.py", line 98, in check_settings
    self.settings = self.get_settings()
  File "/usr/share/cinnamon/cinnamon-settings/bin/JsonSettingsWidgets.py", line 119, in get_settings
    raise Exception("Failed to parse settings JSON data for file %s" % (self.filepath))
Exception: Failed to parse settings JSON data for file /home/xzj83b/.cinnamon/configs/bbcwx@oak-wood.co.uk/7.json

Local variables in innermost frame:
file: <_io.TextIOWrapper name='/home/xzj83b/.cinnamon/configs/bbcwx@oak-wood.co.uk/7.json' mode='r' encoding='UTF-8'>
self: <JsonSettingsWidgets.JSONSettingsHandler object at 0x7ff55ca7e9e8>
raw_data: ''

Comment 1 xzj8b3 2017-02-21 21:05:52 UTC
Created attachment 1256250 [details]
File: backtrace

Comment 2 xzj8b3 2017-02-21 21:05:53 UTC
Created attachment 1256251 [details]
File: environ

Comment 3 Fedora Admin XMLRPC Client 2017-07-06 07:36:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2017-11-13 10:30:25 UTC
cinnamon-control-center-3.6.2-2.fc26 cinnamon-3.6.2-1.fc26 cinnamon-screensaver-3.6.1-1.fc26 cinnamon-translations-3.6.2-1.fc26 cinnamon-desktop-3.6.2-3.fc26 cjs-3.6.1-1.fc26 xapps-1.0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 5 Fedora Update System 2017-11-13 10:31:05 UTC
cinnamon-control-center-3.6.2-2.fc27 cinnamon-screensaver-3.6.1-1.fc27 cinnamon-3.6.2-1.fc27 cinnamon-translations-3.6.2-1.fc27 cinnamon-desktop-3.6.2-3.fc27 cjs-3.6.1-1.fc27 xapps-1.0.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 6 Fedora Update System 2017-11-14 04:09:27 UTC
cinnamon-3.6.2-1.fc26, cinnamon-control-center-3.6.2-2.fc26, cinnamon-desktop-3.6.2-3.fc26, cinnamon-screensaver-3.6.1-1.fc26, cinnamon-translations-3.6.2-1.fc26, cjs-3.6.1-1.fc26, xapps-1.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 7 Fedora Update System 2017-11-14 10:57:49 UTC
cinnamon-3.6.2-1.fc27, cinnamon-control-center-3.6.2-2.fc27, cinnamon-desktop-3.6.2-3.fc27, cinnamon-screensaver-3.6.1-1.fc27, cinnamon-translations-3.6.2-1.fc27, cjs-3.6.1-1.fc27, xapps-1.0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 8 Fedora Update System 2017-11-15 19:21:12 UTC
cinnamon-3.6.2-1.fc27 cinnamon-control-center-3.6.2-3.fc27 cinnamon-desktop-3.6.2-3.fc27 cinnamon-screensaver-3.6.1-1.fc27 cinnamon-translations-3.6.2-1.fc27 cjs-3.6.1-1.fc27 xapps-1.0.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 9 Fedora Update System 2017-11-15 19:21:59 UTC
cinnamon-3.6.2-1.fc26 cinnamon-control-center-3.6.2-3.fc26 cinnamon-desktop-3.6.2-3.fc26 cinnamon-screensaver-3.6.1-1.fc26 cinnamon-translations-3.6.2-1.fc26 cjs-3.6.1-1.fc26 xapps-1.0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 10 Fedora End Of Life 2017-11-16 14:13:15 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora Update System 2017-11-17 18:53:08 UTC
cinnamon-3.6.2-1.fc27, cinnamon-control-center-3.6.2-3.fc27, cinnamon-desktop-3.6.2-3.fc27, cinnamon-screensaver-3.6.1-1.fc27, cinnamon-translations-3.6.2-1.fc27, cjs-3.6.1-1.fc27, xapps-1.0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 12 Fedora Update System 2017-11-17 19:55:19 UTC
cinnamon-3.6.3-1.fc27 cinnamon-control-center-3.6.3-1.fc27 cinnamon-desktop-3.6.2-3.fc27 cinnamon-screensaver-3.6.1-1.fc27 cinnamon-translations-3.6.2-1.fc27 cjs-3.6.1-1.fc27 nemo-3.6.3-1.fc27 xapps-1.0.4-11.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a00ca207c

Comment 13 Fedora Update System 2017-11-18 01:43:15 UTC
cinnamon-3.6.2-1.fc26, cinnamon-control-center-3.6.2-3.fc26, cinnamon-desktop-3.6.2-3.fc26, cinnamon-screensaver-3.6.1-1.fc26, cinnamon-translations-3.6.2-1.fc26, cjs-3.6.1-1.fc26, xapps-1.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 14 Fedora Update System 2017-11-18 03:44:42 UTC
cinnamon-3.6.3-1.fc27, cinnamon-control-center-3.6.3-1.fc27, cinnamon-desktop-3.6.2-3.fc27, cinnamon-screensaver-3.6.1-1.fc27, cinnamon-translations-3.6.2-1.fc27, cjs-3.6.1-1.fc27, nemo-3.6.3-1.fc27, xapps-1.0.4-11.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-11-18 10:11:03 UTC
cinnamon-3.6.3-1.fc26 cinnamon-control-center-3.6.3-1.fc26 cinnamon-desktop-3.6.2-3.fc26 cinnamon-screensaver-3.6.1-1.fc26 cinnamon-translations-3.6.2-1.fc26 cjs-3.6.1-1.fc26 nemo-3.6.3-1.fc26 xapps-1.0.4-11.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe0c8716d

Comment 16 Fedora Update System 2017-11-18 18:46:16 UTC
cinnamon-3.6.3-1.fc26, cinnamon-control-center-3.6.3-1.fc26, cinnamon-desktop-3.6.2-3.fc26, cinnamon-screensaver-3.6.1-1.fc26, cinnamon-translations-3.6.2-1.fc26, cjs-3.6.1-1.fc26, nemo-3.6.3-1.fc26, xapps-1.0.4-11.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.